# classes/phing/tasks/ext/svn/SvnCheckoutTask.php

## \SvnCheckoutTask
jump to top

Checks out a repository to a local directory

Use {@link Project#createTask} to register a new Task.

Extends from
  \SvnBaseTask
author
  Andrew Eddie
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.svn
since
  2.3.0
version
  $Id: SvnCheckoutTask.php 552 2009-08-29 12:18:13Z mrook $

### Properties

`string $revision= 'HEAD'`

Which Revision to Export

Default value `HEAD` Details

Type
  string
todo
  check if version_control_svn supports constants

### Methods

`main( ) :`
The main entry point
Details

throws

`setRevision( $revision ) :`
Parameters

Name | Type | Description
--- | --- | ---
$revision |  |

Documentation was generated by DocBlox 0.13.1.